stages:
  - build
  - test

build-image:
  stage: build
  image: docker:20.10.16
  services:
    - docker:20.10.16-dind
  variables:
    IMAGE_NAME: $REGISTRY_IMAGE
  before_script:
    - docker login -u $REGISTRY_USER -p $REGISTRY_PASS
  script:
    - docker build -t $IMAGE_NAME:staging .
  after_script:
    - docker push $IMAGE_NAME:staging

test-image:
  image: $REGISTRY_IMAGE:staging
  script:
    - python manage.py test